Skip to main content
`Ctrl`+`K`

# TaoSetJacobianInequalityRoutine

Sets the function to compute the Jacobian (and its inverse) of the constraint function with respect to the inequality variables. Used only for PDE-constrained optimization.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetJacobianInequalityRoutine(Tao tao, Mat J, Mat Jpre, PetscErrorCode (*func)(Tao tao, Vec x, Mat J, Mat Jpre, void *ctx), void *ctx)

Logically Collective

## Input Parameters

- tao - the `Tao` context

- J - Matrix used for the Jacobian

- Jpre - Matrix that will be used to construct the preconditioner, can be same as `J`.

- func - Jacobian evaluation routine

- ctx - [optional] user-defined context for private data for the Jacobian evaluation routine (may be `NULL`)

## Calling sequence of `func`

- tao - the `Tao` context

- x - input vector

- J - Jacobian matrix

- Jpre - matrix used to construct the preconditioner, usually the same as `J`

- ctx - [optional] user-defined Jacobian context

## See Also

TAO: Optimization Solvers, `Tao`, `TaoComputeJacobianInequality()`, `TaoSetJacobianDesignRoutine()`, `TaoSetInequalityDesignIS()`

## Level

intermediate

## Location

src/tao/interface/taosolver_hj.c

## Examples

src/tao/constrained/tutorials/maros.c
src/tao/constrained/tutorials/ex1.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages